Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028722
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2015-01-22 10:062015-02-04 20:34
ReportercaristuView Statuspublic 
Assigned Toaaroncalero 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision825bc261f63c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in releaseRR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/b1843f200a9092eea99d431776d029a09868615a [^]
Triggers an Emergency PackNo
Summary

0028722: Not possible to create invoiced receipts for customers created in WebPOS

DescriptionNot possible to create invoiced receipts for customers created in WebPOS. The following error exception raised in this line[1] of the FIN_PaymentProcess class:

org.openbravo.base.exception.OBException: Please initialize <a class="LabelLink" onclick="OB.Utilities.openDirectTab ....

with this stack trace

at org.openbravo.retail.posterminal.OrderLoader.processPayments(OrderLoader.java:1589)
    at org.openbravo.retail.posterminal.OrderLoader.handlePayments(OrderLoader.java:1396)
    at org.openbravo.retail.posterminal.OrderLoader.saveRecord(OrderLoader.java:306)
at org.openbravo.mobile.core.process.DataSynchronizationProcess.saveRecord(DataSynchronizationProcess.java:117)
....


[1] https://code.openbravo.com/erp/devel/pi/file/dad8f2ef7d46/modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java#l392 [^]
Steps To Reproduce1) Create a new customer in WebPOS
2) Assign this new customer to the receipt
3) Invoice the receipt
4) Pay the receipt
5) Go to the [Errors While Importing POS Data] and notice that the receipt has not been synchronized
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0028990 closedSandrahuguet Openbravo ERP NullPointer Exception in FIN_PaymentProcess.java 

-  Notes
(0073752)
hgbot (developer)
2015-01-23 13:06

Repository: erp/devel/pi
Changeset: 825bc261f63cacd55860fea0f4ff495426980064
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Fri Jan 23 12:21:36 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/825bc261f63cacd55860fea0f4ff495426980064 [^]

Fixed issue 28722: Not possible to create invoiced receipts for customers created in WebPOS

Modified the event handler used to set the BP currency to work not only on update events, but on save events too.
Now when BPs are saved from the POS, the currency is automatically assigned to these business partners and they can be used to generate invoices.

---
M src/org/openbravo/event/BusinessPartnerEventHandler.java
---
(0073763)
hgbot (developer)
2015-01-26 09:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0c108dbf2f00968c30c92727b5a8acc6041257bf
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Mon Jan 26 09:26:24 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c108dbf2f00968c30c92727b5a8acc6041257bf [^]

Related to issue 28722: Added modulescript to fix customers created from the POS

---
A build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue28722.class
A build/classes/org/openbravo/retail/posterminal/modulescript/FixDataIssue28722Data.class
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue28722.java
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/FixDataIssue28722_Data.xsql
---
(0073881)
migueldejuana (developer)
2015-01-29 10:00

Tested and reviewed in b71f486b4915
(0074177)
hudsonbot (developer)
2015-02-04 20:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-01-22 10:06 caristu New Issue
2015-01-22 10:06 caristu Assigned To => marvintm
2015-01-22 10:06 caristu Regression level => Production - Confirmed Stable
2015-01-22 10:06 caristu Triggers an Emergency Pack => No
2015-01-22 10:06 caristu Issue Monitored: networkb
2015-01-22 10:07 caristu Description Updated View Revisions
2015-01-22 10:17 caristu Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/b1843f200a9092eea99d431776d029a09868615a [^]
2015-01-22 10:17 caristu Regression introduced in release => RR14Q3
2015-01-22 10:29 caristu Severity major => critical
2015-01-23 13:06 hgbot Checkin
2015-01-23 13:06 hgbot Note Added: 0073752
2015-01-23 13:06 hgbot Status new => resolved
2015-01-23 13:06 hgbot Resolution open => fixed
2015-01-23 13:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/825bc261f63cacd55860fea0f4ff495426980064 [^]
2015-01-26 09:40 hgbot Checkin
2015-01-26 09:40 hgbot Note Added: 0073763
2015-01-26 09:41 aaroncalero Assigned To marvintm => aaroncalero
2015-01-29 10:00 migueldejuana Review Assigned To => migueldejuana
2015-01-29 10:00 migueldejuana Note Added: 0073881
2015-01-29 10:00 migueldejuana Status resolved => closed
2015-02-04 20:34 hudsonbot Checkin
2015-02-04 20:34 hudsonbot Note Added: 0074177
2015-02-19 11:01 jecharri Relationship added has duplicate 0028990


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker